Subject: [ietf-calsify] [Fwd: Re: Fw: Re: EXRULE Question]

From: Eliot Lear <[email-masked]>
Date: Thu, 20 Nov 2008 17:09:39 +0100

For some silly reason now I didn't CC the group.  Duh...

Subject: Re: [ietf-calsify] Fw: Re: EXRULE Question
From: Eliot Lear <[email-masked]>
To: [email-masked]
Date: Thu, 20 Nov 2008 11:21:33 +0100

WG Chair hat on.

We are well past working group last call (it occurred prior to summer). 
Aside from editorial nits there should be no further changes to this 
document, as we are now suffering from "great is the enemy of good".  
Bernard, all other changes at this point should be handled after 
IETF-wide last call.

Adrian, I encourage you to accept the document as it is, given that 
you've had quite a while to provide feedback prior to last call.

Eliot

On 11/20/08 6:36 AM, Adrian Crum wrote:
> Ben,
>
> Thanks for the reply.
>
> I disagree that it is hard to implement. The original RFC was clear and easy to implement:
>
> 1. Create a union of all RDATEs and RRULEs
> 2. Create a union of all EXDATEs and EXRULEs
> 3. Create a difference of the two unions
>
> I know this is easy to implement because I've done it. My example works with the original RFC. I challenge anyone to prove that it doesn't work with the original RFC.
>
> Now it doesn't work with the DRAFT RFC. So, in essence, the draft BREAKS the original.
>
> That is the point I am trying to make. Calcify isn't just simplifying or clarifying the spec, it is breaking it.
>
> -Adrian
>
>
>
> --- On Wed, 11/19/08, Ben Fortuna<[email-masked]>  wrote:
>
>    
>> From: Ben Fortuna<[email-masked]>
>> Subject: Re: [ietf-calsify] Fw: Re: EXRULE Question
>> To: [email-masked]
>> Cc: [email-masked]
>> Date: Wednesday, November 19, 2008, 9:24 PM
>> Adrian,
>>
>> I think you'll find it was removed as it is hard to
>> implement, meaning that
>> many CUAs either didn't support it or had a broken
>> implementation.
>>
>> It should be possible to write some code that converts a
>> recurrence rule to
>> a list of  dates in a specified period (see iCal4j), so
>> from there it
>> shouldn't be hard to convert an EXRULE to a list of
>> EXDATES, and if you
>> choose a large enough period of time it should achieve the
>> same effect
>> (albeit a bit more verbose).
>>
>> Once the new RFC is approved I might investigate supporting
>> automatic
>> conversion of deprecated properties, so things like this
>> should ultimately
>> be transparent.
>>
>> regards,
>> ben
>>
>>
>> On Thu, Nov 20, 2008 at 3:33 PM, Adrian Crum
>> <[email-masked]>  wrote:
>>
>>      
>>> Oops, I meant for this to go to the mailing list.
>>>
>>>
>>> --- On Wed, 11/19/08, Adrian Crum
>>>        
>> <[email-masked]>  wrote:
>>      
>>>> From: Adrian Crum<[email-masked]>
>>>> Subject: Re: [ietf-calsify] EXRULE Question
>>>> To: "Bernard Desruisseaux"
>>>>          
>> <[email-masked]>
>>      
>>>> Date: Wednesday, November 19, 2008, 8:26 PM
>>>> Thank you for the reply!
>>>>
>>>> That is very disappointing. Now I'm forced to
>>>>          
>> define a
>>      
>>>> finite amount of discreet dates for exclusions
>>>>          
>> instead of
>>      
>>>> specifying a few rules.
>>>>
>>>> I was better off with the original specification.
>>>>
>>>> Other than "no one is using EXRULE" -
>>>>          
>> what is the
>>      
>>>> compelling reason to remove it from the RFC? Is
>>>>          
>> everyone in
>>      
>>>> calcify that sure that it will never be used?
>>>>
>>>> I thought the objective was to simplify and
>>>>          
>> clarify the
>>      
>>>> RFC, not cripple it.
>>>>
>>>> -Adrian
>>>>
>>>>
>>>> --- On Wed, 11/19/08, Bernard Desruisseaux
>>>> <[email-masked]>  wrote:
>>>>
>>>>          
>>>>> From: Bernard Desruisseaux
>>>>>            
>>>> <[email-masked]>
>>>>          
>>>>> Subject: Re: [ietf-calsify] EXRULE Question
>>>>> To: [email-masked]
>>>>> Cc: [email-masked]
>>>>> Date: Wednesday, November 19, 2008, 5:34 PM
>>>>> Adrian Crum wrote:
>>>>>            
>>>>>> While browsing the internet I ran
>>>>>>              
>> across the
>>      
>>>> notes
>>>>          
>>>>> from 2006
>>>>>            
>>>>>> regarding deprecating or removing
>>>>>>              
>> EXRULE and
>>      
>>>> EXDATE
>>>>          
>>>>> from RFC 2445.
>>>>>            
>>>>>> The comments made at the time indicated
>>>>>>              
>> that no
>>      
>>>> one
>>>>          
>>>>> was using it.
>>>>>
>>>>> Only EXRULE was deprecated.  EXDATE can
>>>>>            
>> still be used.
>>      
>>>>>> I'm curious - without those
>>>>>>              
>> properties, how
>>      
>>>> would
>>>>          
>>>>> one express a
>>>>>            
>>>>>> Monday through Friday at 8:00 AM event,
>>>>>>              
>> except on
>>      
>>>> US
>>>>          
>>>>> federal
>>>>>            
>>>>>> holidays?
>>>>>>              
>>>>> Now, you are forced to specify EXDATE one by
>>>>>            
>> one. And
>>      
>>>> of
>>>>          
>>>>> course the number of EXDATE needs to be
>>>>>            
>> finite...
>>      
>>>>> Which is what you'll end up with if you
>>>>>            
>> create
>>      
>>>> your
>>>>          
>>>>> event with pretty much any calendar client
>>>>>            
>> in use
>>      
>>>> today...
>>>>          
>>>>> Cheers,
>>>>> Bernard
>>>>>
>>>>>            
>>>>>> I created an example iCalendar based on
>>>>>>              
>> the
>>      
>>>> original
>>>>          
>>>>> RFC:>
>>>>>            
>>>>>> BEGIN:VCALENDAR
>>>>>> PRODID:-//Apache Open For
>>>>>>              
>> Business//Work Effort
>>      
>>>>> Calendar//EN
>>>>>            
>>>>>> VERSION:2.0
>>>>>> CALSCALE:GREGORIAN
>>>>>> DESCRIPTION:Adrian's Calendar
>>>>>> BEGIN:VEVENT
>>>>>> DTSTAMP:20081112T180905Z
>>>>>> CREATED:20081111T231419Z
>>>>>> LAST-MODIFIED:20081111T232507Z
>>>>>> X-ORG-OFBIZ-WORKEFFORT-ID:10020
>>>>>> SUMMARY:Work Schedule
>>>>>> DESCRIPTION:Work Schedule
>>>>>> ORGANIZER;CN=THE ADMINISTRATOR:
>>>>>> DTSTART:20080101T000043
>>>>>>
>>>>>>              
>> RRULE:FREQ=DAILY;BYDAY=MO,TU,WE,TH,FR;BYHOUR=8
>>      
>>>>>> EXRULE:FREQ=MONTHLY;BYMONTH=1;BYDAY=3MO
>>>>>>
>>>>>>              
>> EXRULE:FREQ=MONTHLY;BYMONTH=1;BYMONTHDAY=1
>>      
>>>>>> EXRULE:FREQ=MONTHLY;BYMONTH=2;BYDAY=3MO
>>>>>>
>>>>>>              
>> EXRULE:FREQ=MONTHLY;BYMONTH=5;BYDAY=-1MO
>>      
>> EXRULE:FREQ=MONTHLY;BYMONTH=7;BYMONTHDAY=4
>>      
>>>>>> EXRULE:FREQ=MONTHLY;BYMONTH=9;BYDAY=1MO
>>>>>>
>>>>>>              
>> EXRULE:FREQ=MONTHLY;BYMONTH=10;BYDAY=2MO
>>      
>> EXRULE:FREQ=MONTHLY;BYMONTH=11;BYMONTHDAY=11
>>      
>> EXRULE:FREQ=MONTHLY;BYMONTH=11;BYDAY=4TH
>>      
>> EXRULE:FREQ=MONTHLY;BYMONTH=12;BYMONTHDAY=25
>>      
>>>>>> END:VEVENT
>>>>>> END:VCALENDAR
>>>>>>
>>>>>> I can't find any mention of an
>>>>>>              
>> alternative to
>>      
>>>>> using the EXRULE property, so where would
>>>>>            
>> one go from
>>      
>>>> here?
>>>>          
>>>>>> -Adrian
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>>
>>>>>>              
>>>> _______________________________________________
>>>>          
>>>>>> ietf-calsify mailing list
>>>>>> [email-masked]
>>>>>>
>>>>>>              
>> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify
>>      
>>>
>>> _______________________________________________
>>> ietf-calsify mailing list
>>> [email-masked]
>>>
>>>        
>> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify
>>      
>>
>> -- 
>> Less Talk More Gossip
>> http://elbento.com
>>
>> Dan Quayle  - "This President is going to lead us out
>> of this recovery."
>>      
>
>
>
> _______________________________________________
> ietf-calsify mailing list
> [email-masked]
> http://lists.osafoundation.org/mailman/listinfo/ietf-calsify
>
>    

_______________________________________________
ietf-calsify mailing list
[email-masked]
http://lists.osafoundation.org/mailman/listinfo/ietf-calsify